*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

body {
    min-height: 100vh;
    overflow: auto;
    background-color: #03be9f;
    margin: 0;
}

.container { 
    background-image: linear-gradient(135deg,#00d49c,#5b548a);
    backdrop-filter: blur(10px);
    max-width: 470px;
    color: #fff;
    margin: 60px auto ;
    border-radius: 20px;
    padding: 40px 35px;
    text-align: center;
    box-shadow: 0 0 100px rgb(103, 103, 103);
}

.search{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.search input{
    border: none;
    outline: none;
    background-color: #ebfffc;
    color: #555;
    padding: 10px 25px;
    height: 60px;
    border-radius: 30px;
    flex: 1;
    margin-right:16px ;
    font-size: 18px;
}

.search button{
    border: none;
    outline: none;
    background: #ebfffc;
    border-radius: 50%;
    height: 60px;
    width: 60px;
    cursor: pointer;
}

.search button i{
    font-size: 20px;
}

.weather-icon{
    width: 170px;
    margin-top:30px ;
}

.weather h1{
    font-size: 80px;
    font-weight: 500;
}

.weather h2{
    font-size: 45px;
    font-weight: 400;
    margin-top: -10px;
}

.details{
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 20px;
    margin-top: 90px;
}

.details .col{
    display: flex;
    align-items: center;
    text-align: left;
}

.col img{
    width: 40px;
    margin-right: 10px;
}

.sky-status{
    position: relative;
    top: 25px;
}

.sky{   
    font-size: 30px;
    text-transform: capitalize;
}

.humidity, .wind{
    font-size: 28px;
    margin-top: -6px;
}

@media ( width < 430px) {
    body{
        overflow-y: visible;
    }

    .container{
        margin: 0;
        width: 100%;
        max-width: none;
        
        min-height: 100vh;
        height: auto ;
        border-radius: 0;
    }

    .weather-icon{
        width: 140px;
        margin-top:30px ;
        filter: drop-shadow(0 0 20px rgb(57, 57, 57));
    }

    .weather h1{
        font-size: 60px;
        font-weight: 500;
    }

    .weather h2{
        font-size: 35px;
        font-weight: 400;
        margin-top: -10px;
    }
   

    .search input{
        margin: 5px;
        width: 70%;
        font-size: 15px;
    }

    .details{
        display: flex;
        flex-direction: column;
        gap: 70px;
        font-size: 25px;
    }

    .col-child{
        white-space: nowrap;
    }
    

}
